Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::CommunicatorDescriptor`

## Overview

    class CommunicatorDescriptor

A communicator descriptor.

### Derived Classes and Interfaces

ServerDescriptor, ServiceDescriptor

### Used By

TemplateDescriptor::descriptor

### Data Member Index

adapters

  The object adapters.

dbEnvs

  The database environments.

description

  A description of this descriptor.

properties

  The configuration properties.

## `adapters`

    AdapterDescriptorSeq adapters;

The object adapters.

## `dbEnvs`

    DbEnvDescriptorSeq dbEnvs;

The database environments.

## `description`

    string description;

A description of this descriptor.

## `properties`

    PropertyDescriptorSeq properties;

The configuration properties.

<<< Previous | Home | Next >>>
`IceGrid::BoxedString` | Up | `IceGrid::DbEnvDescriptor`